Bug 1733180 (golang-x-mod) - Review Request: golang-x-mod - Go module mechanics libraries
Summary: Review Request: golang-x-mod - Go module mechanics libraries
Keywords:
Status: CLOSED RAWHIDE
Alias: golang-x-mod
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian (bex) Exelbierd
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 10:45 UTC by Robert-André Mauchin
Modified: 2019-08-02 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-02 22:10:42 UTC
bexelbie: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-07-25 10:45:51 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-golang-x-mod.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-x-mod-0.1.0-1.fc31.src.rpm

Description:
 This packages holds packages for writing tools that work directly with Go module mechanics. That is, it is for direct manipulation of Go modules themselves.

Fedora Account System Username: eclipseo

Comment 2 Robert-André Mauchin 2019-07-25 10:54:35 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36505939

Comment 3 Brian (bex) Exelbierd 2019-08-02 16:02:01 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "BSD 3-clause "New" or "Revised"
     License", "Unknown or generated". 32 files have unknown license.
     Detailed output of licensecheck in /tmp/1733180-golang-x-
     mod/licensecheck.txt
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/golang.org(golang-x-text-devel, golang-x-time-
     devel, golang-x-lint-devel, golang, golang-x-build-devel, golang-x-
     exp-devel, golang-x-sync-devel, golang-x-tools-devel, golang-x-image-
     devel, golang-x-perf-devel, golang-x-oauth2-devel, golang-x-sys-devel,
     golang-x-net-devel, golang-x-debug-devel, golang-x-mobile-devel,
     golang-x-crypto-devel, golang-x-arch-devel),
     /usr/share/gocode/src/golang.org/x(golang-x-text-devel, golang-x-time-
     devel, golang-x-lint-devel, golang, golang-x-build-devel, golang-x-
     exp-devel, golang-x-sync-devel, golang-x-tools-devel, golang-x-image-
     devel, golang-x-perf-devel, golang-x-oauth2-devel, golang-x-sys-devel,
     golang-x-net-devel, golang-x-debug-devel, golang-x-mobile-devel,
     golang-x-crypto-devel, golang-x-arch-devel)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: golang-x-mod (description)
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-x-mod-0.1.0-1.fc31.x86_64.rpm
          golang-x-mod-0.1.0-1.fc31.src.rpm
golang-x-mod.x86_64: W: no-manual-page-for-binary gosumcheck
golang-x-mod.src: E: specfile-error warning: -u use in %forgemeta is deprecated, use -z instead to select a separate set of rpm variables!
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: golang-x-mod-debuginfo-0.1.0-1.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
golang-x-mod.x86_64: W: invalid-url URL: https://github.com/golang/mod <urlopen error [Errno -2] Name or service not known>
golang-x-mod.x86_64: W: no-manual-page-for-binary gosumcheck
golang-x-mod-debuginfo.x86_64: W: invalid-url URL: https://github.com/golang/mod <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/golang/mod/archive/v0.1.0/mod-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9bcfac51b1545ac68ae9123a1dbeca2b1aefb5e7f24ed622af9898a068a769d6
  CHECKSUM(SHA256) upstream package : 9bcfac51b1545ac68ae9123a1dbeca2b1aefb5e7f24ed622af9898a068a769d6


Requires
--------
golang-x-mod (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
golang-x-mod:
    golang-x-mod
    golang-x-mod(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1733180
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: R, fonts, Python, Perl, Ocaml, Java, C/C++, SugarActivity, PHP, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Robert-André Mauchin 2019-08-02 18:11:31 UTC
Thanks a lot for the reviews!

Comment 5 Gwyn Ciesla 2019-08-02 18:18:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-x-mod


Note You need to log in before you can comment on or make changes to this bug.